From omote@utyuuzin.net Sun Jul 10 14:12:46 2005
Date: Mon, 11 Jul 2005 04:43:13 +0900
From: Masahito Omote <omote@utyuuzin.net>
To: Greg Kroah-Hartman <gregkh@suse.de>
Subject: USB: Patch for KYOCERA AH-K3001V support
Message-Id: <20050711044313.1769640d.omote@utyuuzin.net>


This patch enables a support of KYOCERA AH-K3001V, one of the most
popular cell phone in Japan. This device has vendor specific ID but works
with acm driver by adding USB ID. This device already works on
FreeBSD and OS X by native USB ACM driver with USB ID added.

This device is probed as NO_UNION_NORMAL not to hang up when probing.

Signed-off-by: Masahito Omote(omote@utyuuzin.net)
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 drivers/usb/class/cdc-acm.c |    3 +++
 1 files changed, 3 insertions(+)

--- gregkh-2.6.orig/drivers/usb/class/cdc-acm.c	2005-07-27 15:27:26.000000000 -0700
+++ gregkh-2.6/drivers/usb/class/cdc-acm.c	2005-07-27 16:26:41.000000000 -0700
@@ -980,6 +980,9 @@
 	{ USB_DEVICE(0x0870, 0x0001), /* Metricom GS Modem */
 	.driver_info = NO_UNION_NORMAL, /* has no union descriptor */
 	},
+	{ USB_DEVICE(0x0482, 0x0203), /* KYOCERA AH-K3001V */
+	.driver_info = NO_UNION_NORMAL, /* has no union descriptor */
+	},
 	/* control interfaces with various AT-command sets */
 	{ USB_INTERFACE_INFO(USB_CLASS_COMM, USB_CDC_SUBCLASS_ACM,
 		USB_CDC_ACM_PROTO_AT_V25TER) },
